Mandriva Linux Security Advisory : proftpd (MDVSA-2009:288)

This script is Copyright (C) 2009-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A vulnerability has been identified and corrected in proftpd :

The mod_tls module in ProFTPD before 1.3.2b, and 1.3.3 before
1.3.3rc2, when the dNSNameRequired TLS option is enabled, does not
properly handle a '�' character in a domain name in the Subject
Alternative Name field of an X.509 client certificate, which allows
remote attackers to bypass intended client-hostname restrictions via a
crafted certificate issued by a legitimate Certification Authority, a
related issue to CVE-2009-2408 (CVE-2009-3639).

This update fixes this vulnerability.

See also :

http://bugs.proftpd.org/show_bug.cgi?id=3275

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P)
CVSS Temporal Score : 5.0
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 42240 (mandriva_MDVSA-2009-288.nasl)

Bugtraq ID: 36804

CVE ID: CVE-2009-3639

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now